select skill_matrizs.work , work_stations.Name from skill_matrizs,work_stations where skill_matrizs.work = work_stations.Name


update skill_matrizs,work_stations set  skill_matrizs.worstation_id= work_stations.id  where skill_matrizs.work = work_stations.Name



1.-    delete from skill_matrizs where EXPERT = "0"
2.-    delete from skill_matrizs where EXPERT = head_count_id_s
2.-    UPDATE skill_matrizs
SET
head_count_id_s=REPLACE(REPLACE(REPLACE(head_count_id_s,CHAR(9),''),CHAR(10),''),CHAR(13),'')

4.---

select head_count_id_s , Num from skill_matrizs,head_counts where head_count_id_s = Num


update skill_matrizs,head_counts set  head_count_id = head_counts.id  where  head_count_id_s = Num

5..---- 


select worstation_id_s , Name from skill_matrizs,work_stations where worstation_id_s = Name


update skill_matrizs,work_stations set  worstation_id = work_stations.id  where  worstation_id_s = Name

update skill_matrizs set Nivel = 1  where EXPERT = "1A"














-----SABADO

Create View HeadcountByProductionUnit_id as  
select COUNT(ProductionUnit_id) as headcountTotal,ProductionUnit_id from head_counts,trade_rols where trade_rols.id  = head_counts.Traderol_id GROUP BY ProductionUnit_id


Create View HeadcountByProgram_id as  
select COUNT(Program_id) as headcountTotal,Program_id from head_counts,trade_rols where trade_rols.id  = head_counts.Traderol_id GROUP BY Program_id

Create View poly3CertificadosPeopleEjemplo as  

select  COUNT(head_count_id) as `total`,Program_id from skill_matrizs,head_counts,work_stations where (skill_matrizs.EXPERT = "1A" OR skill_matrizs.EXPERT = "2A" OR skill_matrizs.EXPERT = "3A" AND skill_matrizs.EXPERT = "1AQ" AND skill_matrizs.EXPERT = "2AQ" AND skill_matrizs.EXPERT = "3AQ")  AND  `head_counts`.`id` = `skill_matrizs`.`head_count_id` and `head_counts`.`FinalDate` is  null aND  work_stations.id = worstation_id GROUP BY head_count_id,Program_id


//TODO:: Con esto reviso si la skill Matriz le faltan datos
 SELECT
  *
FROM ((`skill_matrizs` join `head_counts`) join `work_stations`) where (((`skill_matrizs`.`EXPERT` = '1A') or (`skill_matrizs`.`EXPERT` = '2A') or ((`skill_matrizs`.`EXPERT` = '3A') and (`skill_matrizs`.`EXPERT` = '1AQ') and (`skill_matrizs`.`EXPERT` = '2AQ') and (`skill_matrizs`.`EXPERT` = '3AQ'))) and (`head_counts`.`id` = `skill_matrizs`.`head_count_id`) and isnull(`head_counts`.`FinalDate`) and (`work_stations`.`id` = `skill_matrizs`.`worstation_id`))  aND skill_matrizs.worstation_id in (select id from work_stations where Program_id = 5)

        



Los comando que hice le viernes

UPDATE  specs,competive_specs 
SET competive_specs.spec_id = specs.id
 where specs.Code = scrps_string




UPDATE  manufacturing_instructions,production_units
SET manufacturing_instructions.ProductionUnit_id     = production_units.id
 where manufacturing_instructions.ProductionUnit_id_s = production_units.Code




 UPDATE  specs,competive_specs 
SET competive_specs.spec_id = specs.id
 where specs.Code = scrps_string





update mi_competive,specs set mi_competive.competive_id = specs.id  where    mi_competive.specs = specs.Code
